## org.apache.myfaces.config
Interface FacesConfigDispenser

All Known Implementing Classes:
  DigesterFacesConfigDispenserImpl

public interface FacesConfigDispenser

Subsumes several unmarshalled faces config objects and presents a simple interface to the combined configuration data.

Version:
  $Revision: 169649 $ $Date: 2005-05-11 11:47:12 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Method Summary
`void` `feed(java.lang.Object facesConfig)` Add another unmarshalled faces config object.
`void` `feedApplicationFactory(java.lang.String factoryClassName)` Add another ApplicationFactory class name
`void` `feedFacesContextFactory(java.lang.String factoryClassName)` Add another FacesContextFactory class name
`void` `feedLifecycleFactory(java.lang.String factoryClassName)` Add another LifecycleFactory class name
`void` `feedRenderKitFactory(java.lang.String factoryClassName)` Add another RenderKitFactory class name
`java.util.Iterator` `getActionListenerIterator()`
`java.util.Iterator` `getApplicationFactoryIterator()`
`java.lang.String` `getComponentClass(java.lang.String componentType)`
`java.util.Iterator` `getComponentTypes()`
`java.lang.String` `getConverterClassByClass(java.lang.String className)`
`java.lang.String` `getConverterClassById(java.lang.String converterId)`
`java.util.Iterator` `getConverterClasses()`
`Converter` `getConverterConfiguration(java.lang.String converterClassName)` delivers a converter-configuration for one class-name
`java.util.Iterator` `getConverterConfigurationByClassName()`
`java.util.Iterator` `getConverterIds()`
`java.lang.String` `getDefaultLocale()`
`java.lang.String` `getDefaultRenderKitId()`
`java.util.Iterator` `getFacesContextFactoryIterator()`
`java.util.Iterator` `getLifecycleFactoryIterator()`
`java.util.Iterator` `getLifecyclePhaseListeners()`
`java.util.Iterator` `getManagedBeans()`
`java.lang.String` `getMessageBundle()`
`java.util.Iterator` `getNavigationHandlerIterator()`
`java.util.Iterator` `getNavigationRules()`
`java.util.Iterator` `getPropertyResolverIterator()`
`java.util.Iterator` `getRenderers(java.lang.String renderKitId)`
`java.lang.String` `getRenderKitClass(java.lang.String renderKitId)`
`java.util.Iterator` `getRenderKitFactoryIterator()`
`java.util.Iterator` `getRenderKitIds()`
`java.util.Iterator` `getStateManagerIterator()`
`java.util.Iterator` `getSupportedLocalesIterator()`
`java.lang.String` `getValidatorClass(java.lang.String validatorId)`
`java.util.Iterator` `getValidatorIds()`
`java.util.Iterator` `getVariableResolverIterator()`
`java.util.Iterator` `getViewHandlerIterator()`

Method Detail

### feed

    public void feed(java.lang.Object facesConfig)

  Add another unmarshalled faces config object.

  Parameters:
    `facesConfig` - unmarshalled faces config object

### feedApplicationFactory

    public void feedApplicationFactory(java.lang.String factoryClassName)

  Add another ApplicationFactory class name

  Parameters:
    `factoryClassName` - a class name

### feedFacesContextFactory

    public void feedFacesContextFactory(java.lang.String factoryClassName)

  Add another FacesContextFactory class name

  Parameters:
    `factoryClassName` - a class name

### feedLifecycleFactory

    public void feedLifecycleFactory(java.lang.String factoryClassName)

  Add another LifecycleFactory class name

  Parameters:
    `factoryClassName` - a class name

### feedRenderKitFactory

    public void feedRenderKitFactory(java.lang.String factoryClassName)

  Add another RenderKitFactory class name

  Parameters:
    `factoryClassName` - a class name

### getApplicationFactoryIterator

    public java.util.Iterator getApplicationFactoryIterator()

  Returns:
    Iterator over ApplicationFactory class names

### getFacesContextFactoryIterator

    public java.util.Iterator getFacesContextFactoryIterator()

  Returns:
    Iterator over FacesContextFactory class names

### getLifecycleFactoryIterator

    public java.util.Iterator getLifecycleFactoryIterator()

  Returns:
    Iterator over LifecycleFactory class names

### getRenderKitFactoryIterator

    public java.util.Iterator getRenderKitFactoryIterator()

  Returns:
    Iterator over RenderKit factory class names

### getActionListenerIterator

    public java.util.Iterator getActionListenerIterator()

  Returns:
    Iterator over ActionListener class names (in reverse order!)

### getDefaultRenderKitId

    public java.lang.String getDefaultRenderKitId()

  Returns:
    the default render kit id

### getMessageBundle

    public java.lang.String getMessageBundle()

  Returns:
    Iterator over message bundle names (in reverse order!)

### getNavigationHandlerIterator

    public java.util.Iterator getNavigationHandlerIterator()

  Returns:
    Iterator over NavigationHandler class names

### getViewHandlerIterator

    public java.util.Iterator getViewHandlerIterator()

  Returns:
    Iterator over ViewHandler class names

### getStateManagerIterator

    public java.util.Iterator getStateManagerIterator()

  Returns:
    Iterator over StateManager class names

### getPropertyResolverIterator

    public java.util.Iterator getPropertyResolverIterator()

  Returns:
    Iterator over PropertyResolver class names

### getVariableResolverIterator

    public java.util.Iterator getVariableResolverIterator()

  Returns:
    Iterator over VariableResolver class names

### getDefaultLocale

    public java.lang.String getDefaultLocale()

  Returns:
    the default locale name

### getSupportedLocalesIterator

    public java.util.Iterator getSupportedLocalesIterator()

  Returns:
    Iterator over supported locale names

### getComponentTypes

    public java.util.Iterator getComponentTypes()

  Returns:
    Iterator over all defined component types

### getComponentClass

    public java.lang.String getComponentClass(java.lang.String componentType)

  Returns:
    component class that belongs to the given component type

### getConverterIds

    public java.util.Iterator getConverterIds()

  Returns:
    Iterator over all defined converter ids

### getConverterClasses

    public java.util.Iterator getConverterClasses()

  Returns:
    Iterator over all classes with an associated converter

### getConverterConfigurationByClassName

    public java.util.Iterator getConverterConfigurationByClassName()

  Returns:
    Iterator over the config classes for the converters

### getConverterConfiguration

    public Converter getConverterConfiguration(java.lang.String converterClassName)

  delivers a converter-configuration for one class-name

### getConverterClassById

    public java.lang.String getConverterClassById(java.lang.String converterId)

  Returns:
    converter class that belongs to the given converter id

### getConverterClassByClass

    public java.lang.String getConverterClassByClass(java.lang.String className)

  Returns:
    converter class that is associated with the given class name

### getValidatorIds

    public java.util.Iterator getValidatorIds()

  Returns:
    Iterator over all defined validator ids

### getValidatorClass

    public java.lang.String getValidatorClass(java.lang.String validatorId)

  Returns:
    validator class name that belongs to the given validator id

### getManagedBeans

    public java.util.Iterator getManagedBeans()

  Returns:
    Iterator over `ManagedBean`s

### getNavigationRules

    public java.util.Iterator getNavigationRules()

  Returns:
    Iterator over `NavigationRule`s

### getRenderKitIds

    public java.util.Iterator getRenderKitIds()

  Returns:
    Iterator over all defined renderkit ids

### getRenderKitClass

    public java.lang.String getRenderKitClass(java.lang.String renderKitId)

  Returns:
    renderkit class name for given renderkit id

### getRenderers

    public java.util.Iterator getRenderers(java.lang.String renderKitId)

  Returns:
    Iterator over `Renderer`s for the given renderKitId

### getLifecyclePhaseListeners

    public java.util.Iterator getLifecyclePhaseListeners()

  Returns:
    Iterator over `PhaseListener` implementation class names